%define	name efreet
%define	version 1.1.0
%define svn r69188
%define rel 1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened efreet
Name: 		%{name}
Version: 	%{version}
Epoch:          2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Efreet
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%name-%version.tar.bz2
%endif
BuildRequires: 	ecore-devel >= 1.1.0-0.%svn

%description
An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %{libname}
Summary: Enlightened efreet Libraries
Group: System/Libraries

%description -n %{libname}
Efreet libraries

An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %libnamedev
Summary: Enlightened efreet Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{epoch}:%{version}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes: %mklibname efreet 0 -d

%description -n %libnamedev
Efreet development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libexecdir}/%{name}/efreet_icon_cache_create
%{_libexecdir}/%{name}/efreet_desktop_cache_create
%_datadir/%name/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog

* Sun Mar 11 2012 trem <trem> 2:1.1.0-0.r69188.1.mga2
+ Revision: 222669
- update to release 69188

* Sat Mar 10 2012 trem <trem> 2:1.1.0-0.r69165.1.mga2
+ Revision: 222402
- update to release 69165

* Sun Mar 04 2012 trem <trem> 2:1.1.0-0.r68658.1.mga2
+ Revision: 217980
- update to release 68658

* Sat Mar 03 2012 trem <trem> 2:1.1.0-0.r68649.1.mga2
+ Revision: 217530
- update to release 68649

* Sun Feb 26 2012 trem <trem> 2:1.1.0-0.r68450.1.mga2
+ Revision: 215191
- update to release 68450

* Sat Feb 25 2012 trem <trem> 2:1.1.0-0.r68434.1.mga2
+ Revision: 214409
- update to release 68434

* Fri Feb 24 2012 trem <trem> 2:1.1.0-0.r68363.1.mga2
+ Revision: 213954
- update to release 68363

* Wed Feb 22 2012 trem <trem> 2:1.1.0-0.r68228.1.mga2
+ Revision: 212061
- update to release 68228

* Sun Feb 19 2012 trem <trem> 2:1.1.0-0.r68120.1.mga2
+ Revision: 210777
- update to release 68120

* Sat Feb 18 2012 trem <trem> 2:1.1.0-0.r68102.1.mga2
+ Revision: 210225
- update to release 68102

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67851.1.mga2
+ Revision: 207528
- update to release 67851

* Sat Feb 11 2012 trem <trem> 2:1.1.0-0.r67846.1.mga2
+ Revision: 207241
- update to release 67846

* Fri Feb 10 2012 trem <trem> 2:1.1.0-0.r67830.1.mga2
+ Revision: 206950
- update to release 67830

* Tue Feb 07 2012 trem <trem> 2:1.1.0-0.r67715.1.mga2
+ Revision: 205985
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Thu Dec 29 2011 trem <trem> 2:1.1.0-0.r66418.1.mga2
+ Revision: 188817
- update to release 66418

* Sun Dec 04 2011 trem <trem> 2:1.1.0-0.r65867.1.mga2
+ Revision: 176084
- update to release 65867

* Tue Nov 29 2011 trem <trem> 2:1.1.0-0.r65688.1.mga2
+ Revision: 174231
- update to release 65688

* Sun Nov 27 2011 trem <trem> 2:1.1.0-0.r65613.1.mga2
+ Revision: 172954
- update to release 65613

* Sun Nov 20 2011 trem <trem> 2:1.1.0-0.r65428.1.mga2
+ Revision: 169717
- update to release 65428

* Fri Nov 18 2011 trem <trem> 2:1.1.0-0.r65369.1.mga2
+ Revision: 168713
- update to version 1.1.0
- update to release r65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 2:1.0.999-0.r65269.1.mga2
+ Revision: 168191
- update to release 65269

* Sun Nov 13 2011 trem <trem> 2:1.0.999-0.r65129.1.mga2
+ Revision: 167153
- update to release 65129

* Fri Nov 11 2011 trem <trem> 2:1.0.999-0.r65056.1.mga2
+ Revision: 166568
- update to release 65056

* Sat Nov 05 2011 trem <trem> 2:1.0.999-0.r64753.1.mga2
+ Revision: 163318
- update to release 64753

* Tue Nov 01 2011 trem <trem> 2:1.0.999-0.r64603.1.mga2
+ Revision: 160804
- update to release 64603

* Mon Oct 31 2011 trem <trem> 2:1.0.999-0.r64579.1.mga2
+ Revision: 160590
- update to release 64579

* Sun Oct 30 2011 trem <trem> 2:1.0.999-0.r64519.1.mga2
+ Revision: 160061
- update to release 64519

* Sat Oct 29 2011 trem <trem> 2:1.0.999-0.r64511.1.mga2
+ Revision: 159802
- update to r64511

* Fri Oct 28 2011 trem <trem> 2:1.0.999-0.r64501.1.mga2
+ Revision: 159283
- update to r64501

* Wed Oct 26 2011 trem <trem> 2:1.0.999-0.r64414.1.mga2
+ Revision: 158377
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 2:1.0.999-0.r64328.1.mga2
+ Revision: 157779
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 2:1.0.1-2.mga2
+ Revision: 146621
- drop .la files

* Tue Jun 28 2011 trem <trem> 2:1.0.1-1.mga2
+ Revision: 115467
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 2:1.0.0-1.mga1
+ Revision: 87940
- clean spec file
- imported package efreet


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 2:1.0.0-1mdv2011.0
+ Revision: 633928
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta3.1mdv2011.0
+ Revision: 622800
- 1.0 beta3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta2.1mdv2011.0
+ Revision: 597954
- new version 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 2:1.0.0-0.beta.1mdv2011.0
+ Revision: 585313
- 1.0.0 beta

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2:0.5.0.49898-1mdv2011.0
+ Revision: 550184
- New version 0.5.0.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 2:0.5.0.063-1mdv2010.1
+ Revision: 478154
- new version 0.5.0.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 2:0.5.0.062-1mdv2010.0
+ Revision: 411122
- new version 0.5.0.062

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 2:0.5.0.061-3mdv2010.0
+ Revision: 393390
- rebuild

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 2:0.5.0.061-2mdv2010.0
+ Revision: 392829
- rebuild for new ecore

* Wed Jul 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2:0.5.0.061-1mdv2010.0
+ Revision: 391346
- update to new version 0.5.0.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2:0.5.0.060-1mdv2010.0
+ Revision: 370693
- New version 0.5.0.060

* Sun Mar 01 2009 Antoine Ginies <aginies@mandriva.com> 2:0.5.0.050-3mdv2009.1
+ Revision: 346322
- bump release
- SVN SNAPSHOT 20090227, release 0.5.0.050

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 2:0.5.0.050-1mdv2009.1
+ Revision: 292652
- New version 0.5.0.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2:0.5.0.043-3mdv2009.0
+ Revision: 266615
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.5.0.043-2mdv2009.0
+ Revision: 213991
- drop wrong provides

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2:0.5.0.043-1mdv2009.0
+ Revision: 213989
- new devel package name
- New version 0.5.0.043

* Mon Feb 18 2008 Antoine Ginies <aginies@mandriva.com> 2:0.0.3.042-4mdv2008.1
+ Revision: 170090
- bump release

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2:0.0.3.042-3mdv2008.1
+ Revision: 168998
- adjust buildrequires
- remove old source

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 2:0.0.3.042-2mdv2008.1
+ Revision: 161520
- no major in devel package

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 2:0.0.3.042-1mdv2008.1
+ Revision: 161499
- new version
- major decreases; bump epoch
- fix URL
- fix provides

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 Austin Acton <austin@mandriva.org> 1:0.9.0.011-2mdv2008.1
+ Revision: 107469
- lib does not provide name

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.9.0.011-1mdv2008.1
+ Revision: 104096
- update tarball
- CVS SNAPSHOT 20071031, release 0.9.0.011

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.006-2mdv2008.0
+ Revision: 76718
- increase mkrel
- i should no disable ecore-desktop

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.006-1mdv2008.0
+ Revision: 76694
- fix missing libraries in package
- update to 0.0.3.006 efreet release
- CVS SNAPSHOT 20070830, release 0.0.1.005

* Wed Jun 13 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-8mdv2008.0
+ Revision: 38604
- CVS snapshot 20070613
- create category lists while scanning for .desktop files
- add efreet_menu_new()
- Init and shutdown util

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-7mdv2008.0
+ Revision: 35258
- CVS snapshot 20070605

* Mon Jun 04 2007 Thierry Vignaud <tv@mandriva.org> 1:0.0.3.002-6mdv2008.0
+ Revision: 35099
- fix major
- prevent major bug to happen again

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-5mdv2008.0
+ Revision: 32923
- increase mkrel
- fix provides

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-4mdv2008.0
+ Revision: 32781
- epoch strike back
- increase mkrel
- fix buildrequires, remove epoch

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-3mdv2008.0
+ Revision: 32628
- CVS SNAPSHOT 20070529, release 0.3.0.008

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-2mdv2008.0
+ Revision: 30645
- increase mkrel
- fix Builrequires

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1:0.0.3.002-1mdv2008.0
+ Revision: 29104
- Import efreet



* Wed May 16 2007 Antoine Ginies <aginies@mandriva.com> 0.0.3.002-1mdv2008.0
- first release
